Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.navigation
Interface WebNavigationConstants

public interface WebNavigationConstants

Interface WebNavigationConstants contains navigation related constants.

Version:
  1.0
Author:
  C.N.Medappa

Field Summary
`static int` | `LOAD_FLAGS_BYPASS_CACHE`
`static int` | `LOAD_FLAGS_BYPASS_HISTORY` Bypass history flag.
`static int` | `LOAD_FLAGS_BYPASS_PROXY`
`static int` | `LOAD_FLAGS_CHARSET_CHANGE`
`static int` | `LOAD_FLAGS_IS_LINK` Link-click flag.
`static int` | `LOAD_FLAGS_IS_REFRESH` Meta-refresh flag.
`static int` | `LOAD_FLAGS_MASK`
`static int` | `LOAD_FLAGS_NONE` Normal load flag.
`static int` | `LOAD_FLAGS_REPLACE_HISTORY` Replace history entry flag.
`static int` | `OUTPUT_ABSOLUTE_LINKS` Convert links, image src, and script src to absolute URLs when possible
`static int` | `OUTPUT_BODY_ONLY` No html head tags
`static int` | `OUTPUT_CR_LINEBREAK` LineBreak processing: we can do either platform line breaks, CR, LF, or CRLF.
`static int` | `OUTPUT_ENCODE_BASIC_ENTITIES` Encode entities when outputting to a string.
`static int` | `OUTPUT_ENCODE_HTML_ENTITIES`
`static int` | `OUTPUT_ENCODE_LATIN1_ENTITIES`
`static int` | `OUTPUT_ENCODE_W3C_ENTITIES` Attempt to encode entities standardized at W3C (HTML, MathML, etc).
`static int` | `OUTPUT_FORMAT_FLOWED` Output for format flowed (RFC 2646).
`static int` | `OUTPUT_FORMATTED` Plaintext output: Convert html to plaintext that looks like the html.
`static int` | `OUTPUT_LF_LINEBREAK`
`static int` | `OUTPUT_NO_FORMATTINGIN_PRE` Don't allow any formatting nodes (e.g.
`static int` | `OUTPUT_NO_FRAMES_CONTENT` Output the content of noframes elements (only for serializing to plaintext).
`static int` | `OUTPUT_NO_SCRIPT_CONTENT` Output the content of noscript elements (only for serializing to plaintext).
`static int` | `OUTPUT_PREFORMATTED` Wrap even if we're not doing formatted output (e.g.
`static int` | `OUTPUT_RAW` OutputRaw is used by copying text from widgets
`static int` | `OUTPUT_SELECTION_ONLY` Output only the selection (as opposed to the whole document).
`static int` | `OUTPUT_WRAP` Output as though the content is preformatted (e.g.
`static int` | `STOP_ALL` Stop all activity.
`static int` | `STOP_CONTENT` Stop all content activity.
`static int` | `STOP_NETWORK` Stop all network activity.
`static int` | `STREAM_LF_BYPASS_HISTORY`
`static int` | `STREAM_LF_CHARSET_CHANGE`
`static int` | `STREAM_LF_HISTORY`
`static int` | `STREAM_LF_IS_LINK`
`static int` | `STREAM_LF_IS_REFRESH`
`static int` | `STREAM_LF_NORMAL` loadStream() specific flags
`static int` | `STREAM_LF_RELOAD_BYPASS_CACHE`
`static int` | `STREAM_LF_RELOAD_BYPASS_PROXY`
`static int` | `STREAM_LF_RELOAD_BYPASS_PROXY_AND_CACHE`
`static int` | `STREAM_LF_RELOAD_NORMAL`
`static int` | `STREAM_LF_REPLACE`
`static short` | `TYPE_PAGE_INFO` Indicates information type page-info.
`static short` | `TYPE_SEC_INFO` Indicates information type security-info.

Field Detail

### LOAD_FLAGS_MASK

    public static final int LOAD_FLAGS_MASK

See Also:
  Constant Field Values

### LOAD_FLAGS_NONE

    public static final int LOAD_FLAGS_NONE

  Normal load flag.

  See Also:
    Constant Field Values

### LOAD_FLAGS_IS_REFRESH

    public static final int LOAD_FLAGS_IS_REFRESH

  Meta-refresh flag. The cache is bypassed. This type of load is usually the result of a meta-refresh tag, or a HTTP 'refresh' header.

  See Also:
    Constant Field Values

### LOAD_FLAGS_IS_LINK

    public static final int LOAD_FLAGS_IS_LINK

  Link-click flag.

  See Also:
    Constant Field Values

### LOAD_FLAGS_BYPASS_HISTORY

    public static final int LOAD_FLAGS_BYPASS_HISTORY

  Bypass history flag.

  See Also:
    Constant Field Values

### LOAD_FLAGS_REPLACE_HISTORY

    public static final int LOAD_FLAGS_REPLACE_HISTORY

  Replace history entry flag.

  See Also:
    Constant Field Values

### LOAD_FLAGS_BYPASS_CACHE

    public static final int LOAD_FLAGS_BYPASS_CACHE

See Also:
  Constant Field Values

### LOAD_FLAGS_BYPASS_PROXY

    public static final int LOAD_FLAGS_BYPASS_PROXY

See Also:
  Constant Field Values

### LOAD_FLAGS_CHARSET_CHANGE

    public static final int LOAD_FLAGS_CHARSET_CHANGE

See Also:
  Constant Field Values

### STREAM_LF_NORMAL

    public static final int STREAM_LF_NORMAL

  loadStream() specific flags

  See Also:
    Constant Field Values

### STREAM_LF_REPLACE

    public static final int STREAM_LF_REPLACE

See Also:
  Constant Field Values

### STREAM_LF_HISTORY

    public static final int STREAM_LF_HISTORY

See Also:
  Constant Field Values

### STREAM_LF_RELOAD_NORMAL

    public static final int STREAM_LF_RELOAD_NORMAL

See Also:
  Constant Field Values

### STREAM_LF_RELOAD_BYPASS_CACHE

    public static final int STREAM_LF_RELOAD_BYPASS_CACHE

See Also:
  Constant Field Values

### STREAM_LF_RELOAD_BYPASS_PROXY

    public static final int STREAM_LF_RELOAD_BYPASS_PROXY

See Also:
  Constant Field Values

### STREAM_LF_RELOAD_BYPASS_PROXY_AND_CACHE

    public static final int STREAM_LF_RELOAD_BYPASS_PROXY_AND_CACHE

See Also:
  Constant Field Values

### STREAM_LF_IS_LINK

    public static final int STREAM_LF_IS_LINK

See Also:
  Constant Field Values

### STREAM_LF_IS_REFRESH

    public static final int STREAM_LF_IS_REFRESH

See Also:
  Constant Field Values

### STREAM_LF_CHARSET_CHANGE

    public static final int STREAM_LF_CHARSET_CHANGE

See Also:
  Constant Field Values

### STREAM_LF_BYPASS_HISTORY

    public static final int STREAM_LF_BYPASS_HISTORY

See Also:
  Constant Field Values

### STOP_NETWORK

    public static final int STOP_NETWORK

  Stop all network activity. This includes both active network loads and pending meta-refreshes.

  See Also:
    Constant Field Values

### STOP_CONTENT

    public static final int STOP_CONTENT

  Stop all content activity. This includes animated images, plugins and pending Javascript timeouts.

  See Also:
    Constant Field Values

### STOP_ALL

    public static final int STOP_ALL

  Stop all activity.

  See Also:
    Constant Field Values

### TYPE_PAGE_INFO

    public static final short TYPE_PAGE_INFO

  Indicates information type page-info.

  See Also:
    Constant Field Values

### TYPE_SEC_INFO

    public static final short TYPE_SEC_INFO

  Indicates information type security-info.

  See Also:
    Constant Field Values

### OUTPUT_SELECTION_ONLY

    public static final int OUTPUT_SELECTION_ONLY

  Output only the selection (as opposed to the whole document).

  See Also:
    Constant Field Values

### OUTPUT_FORMATTED

    public static final int OUTPUT_FORMATTED

  Plaintext output: Convert html to plaintext that looks like the html. Implies wrap (except inside

      ), since html wraps.
       HTML output: always do prettyprinting, ignoring existing formatting.
       (Probably not well tested for HTML output.)

      See Also:Constant Field Values

### OUTPUT_RAW

    public static final int OUTPUT_RAW

  OutputRaw is used by copying text from widgets

  See Also:
    Constant Field Values

### OUTPUT_BODY_ONLY

    public static final int OUTPUT_BODY_ONLY

  No html head tags

  See Also:
    Constant Field Values

### OUTPUT_PREFORMATTED

    public static final int OUTPUT_PREFORMATTED

  Wrap even if we're not doing formatted output (e.g. for text fields)

  See Also:
    Constant Field Values

### OUTPUT_WRAP

    public static final int OUTPUT_WRAP

  Output as though the content is preformatted (e.g. maybe it's wrapped in a MOZ_PRE or MOZ_PRE_WRAP style tag)

  See Also:
    Constant Field Values

### OUTPUT_FORMAT_FLOWED

    public static final int OUTPUT_FORMAT_FLOWED

  Output for format flowed (RFC 2646). This is used when converting to text for mail sending. This differs just slightly but in an important way from normal formatted, and that is that lines are space stuffed. This can't (correctly) be done later.

  See Also:
    Constant Field Values

### OUTPUT_ABSOLUTE_LINKS

    public static final int OUTPUT_ABSOLUTE_LINKS

  Convert links, image src, and script src to absolute URLs when possible

  See Also:
    Constant Field Values

### OUTPUT_ENCODE_W3C_ENTITIES

    public static final int OUTPUT_ENCODE_W3C_ENTITIES

  Attempt to encode entities standardized at W3C (HTML, MathML, etc). This is a catch-all flag for documents with mixed contents. Beware of interoperability issues. See below for other flags which might likely do what you want.

  See Also:
    Constant Field Values

### OUTPUT_CR_LINEBREAK

    public static final int OUTPUT_CR_LINEBREAK

  LineBreak processing: we can do either platform line breaks, CR, LF, or CRLF. If neither of these flags is set, then we will use platform line breaks.

  See Also:
    Constant Field Values

### OUTPUT_LF_LINEBREAK

    public static final int OUTPUT_LF_LINEBREAK

See Also:
  Constant Field Values

### OUTPUT_NO_SCRIPT_CONTENT

    public static final int OUTPUT_NO_SCRIPT_CONTENT

  Output the content of noscript elements (only for serializing to plaintext).

  See Also:
    Constant Field Values

### OUTPUT_NO_FRAMES_CONTENT

    public static final int OUTPUT_NO_FRAMES_CONTENT

  Output the content of noframes elements (only for serializing to plaintext).

  See Also:
    Constant Field Values

### OUTPUT_NO_FORMATTINGIN_PRE

    public static final int OUTPUT_NO_FORMATTINGIN_PRE

  Don't allow any formatting nodes (e.g.
  , ) inside a

      .
       This is used primarily by mail.

      See Also:Constant Field Values

### OUTPUT_ENCODE_BASIC_ENTITIES

    public static final int OUTPUT_ENCODE_BASIC_ENTITIES

  Encode entities when outputting to a string. E.g. If set, we'll output if clear, we'll output 0xa0. The basic set is just & < > " for interoperability with older products that don't support α and friends. The Latin1 entity set additionally includes 8bit accented letters between 128 and 255. The HTML entity set additionally includes accented letters, greek letters, and other special markup symbols as defined in HTML4.

  See Also:
    Constant Field Values

### OUTPUT_ENCODE_LATIN1_ENTITIES

    public static final int OUTPUT_ENCODE_LATIN1_ENTITIES

See Also:
  Constant Field Values

### OUTPUT_ENCODE_HTML_ENTITIES

    public static final int OUTPUT_ENCODE_HTML_ENTITIES

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.